summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorskaluzka <skaluzka@protonmail.com>2021-09-08 22:25:47 +0200
committerskaluzka <skaluzka@protonmail.com>2021-09-08 22:32:46 +0200
commiteac7bdce91f1ab341d801cc2f317dd408ed85cb4 (patch)
treeec4f69ae654242b46fdff2ee9a70e82261d5dcf3
parent82168e5e8bbd2600f99d37f85202c8126a959b24 (diff)
downloadtor-eac7bdce91f1ab341d801cc2f317dd408ed85cb4.tar.gz
tor-eac7bdce91f1ab341d801cc2f317dd408ed85cb4.zip
Clear asciidoc-helper.sh syntax
Remove all unnecessary ";" characters at the end of several lines. Align all indentations to 4 spaces. Update console messages related to XML_CATALOG_FILES and .bashrc file. Signed-off-by: skaluzka <skaluzka@protonmail.com>
-rwxr-xr-xdoc/asciidoc-helper.sh47
1 files changed, 23 insertions, 24 deletions
diff --git a/doc/asciidoc-helper.sh b/doc/asciidoc-helper.sh
index 765850a125..edc9b5b0ea 100755
--- a/doc/asciidoc-helper.sh
+++ b/doc/asciidoc-helper.sh
@@ -9,7 +9,7 @@
set -e
if [ $# != 3 ]; then
- exit 1;
+ exit 1
fi
output=$3
@@ -19,50 +19,49 @@ if [ "$1" = "html" ]; then
base=${output%%.html.in}
if [ "$2" != none ]; then
- TZ=UTC "$2" -d manpage -o "$output" "$input";
+ TZ=UTC "$2" -d manpage -o "$output" "$input"
else
- echo "==================================";
- echo;
- echo "You need asciidoc installed to be able to build the manpage.";
- echo "To build without manpages, use the --disable-asciidoc argument";
- echo "when calling configure.";
- echo;
- echo "==================================";
- exit 1;
+ echo "=================================="
+ echo
+ echo "You need asciidoc installed to be able to build the manpage."
+ echo "To build without manpages, use the --disable-asciidoc argument"
+ echo "when calling configure."
+ echo
+ echo "=================================="
+ exit 1
fi
elif [ "$1" = "man" ]; then
input=${output%%.1.in}.1.txt
base=${output%%.1.in}
if test "$2" = none; then
- echo "==================================";
- echo;
- echo "You need asciidoc installed to be able to build the manpage.";
- echo "To build without manpages, use the --disable-asciidoc argument";
- echo "when calling configure.";
- echo;
- echo "==================================";
- exit 1;
+ echo "=================================="
+ echo
+ echo "You need asciidoc installed to be able to build the manpage."
+ echo "To build without manpages, use the --disable-asciidoc argument"
+ echo "when calling configure."
+ echo
+ echo "=================================="
+ exit 1
fi
if "$2" -f manpage "$input"; then
- mv "$base.1" "$output";
+ mv "$base.1" "$output"
else
- cat<<EOF
+ cat<<EOF
==================================
You need a working asciidoc installed to be able to build the manpage.
a2x is installed, but for some reason it isn't working. Sometimes
this happens because required docbook support files are missing.
Please install docbook-xsl, docbook-xml, and xmlto (Debian) or
-similar. If you use homebrew on Mac OS X, install the docbook formula
+similar. If you use homebrew on Mac OS X, install the docbook formula
and add "export XML_CATALOG_FILES=/usr/local/etc/xml/catalog" to your
-.bashrc
+.bashrc file.
Alternatively, to build without manpages, use the --disable-asciidoc
argument when calling configure.
==================================
EOF
- exit 1;
+ exit 1
fi
fi
-